%global libdnf_major_version 0
%global libdnf_minor_version 67
%global libdnf_micro_version 0

Summary:        Package management library
Name:           libdnf
Version:        0.67.0
Release:        3%{?dist}
License:        LGPLv2+
URL:            https://github.com/rpm-software-management/libdnf
Source0:        https://github.com/rpm-software-management/libdnf/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake gcc gcc-c++ libsolv-devel >= 0.7.21 librepo-devel check-devel glib2-devel
BuildRequires:  sqlite-devel json-c-devel cppunit-devel openssl-devel libmodulemd-devel libsmartcols-devel gettext gpgme-devel 
Requires:       libmodulemd libsolv >= 0.7.21 librepo

%description
This library provides a high level package-manager. It's core library of dnf, 
PackageKit and rpm-ostree. It's replacement for deprecated hawkey library 
which it contains inside and uses librepo under the hood.

%package devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       libsolv-devel >= 0.7.21

%description devel
Development files for %{name}.

%package -n python3-%{name}
Summary:        Python 3 bindings for the libdnf library.
BuildRequires:  python3-devel swig
Requires:       %{name} = %{version}-%{release}
Provides:       python%{python3_version}-%{name} = %{version}-%{release}
Provides:       python-%{name} = %{version}-%{release}

%description -n python3-%{name}
Python 3 bindings for the libdnf library.

%package -n python3-hawkey
Summary:        Python 3 bindings for the hawkey library
BuildRequires:  python3-devel
Requires:       %{name} = %{version}-%{release}
Requires:       python3-%{name} = %{version}-%{release}
Provides:       python%{python3_version}-hawkey = %{version}-%{release}
Provides:       python-hawkey = %{version}-%{release}

%description -n python3-hawkey
Python 3 bindings for the hawkey library.

%prep
%autosetup -p1

%build
mkdir build
pushd build
  %cmake -DPYTHON_DESIRED:FILEPATH=%{__python3} -DWITH_GIR=0 -DWITH_MAN=0 -DWITH_HTML=0 -DWITH_GTKDOC=0 -DWITH_ZCHUNK=OFF -DDISABLE_VALGRIND=1 -DLIBDNF_MAJOR_VERSION=%{libdnf_major_version} -DLIBDNF_MINOR_VERSION=%{libdnf_minor_version} -DLIBDNF_MICRO_VERSION=%{libdnf_micro_version} -DWITH_SANITIZERS=0 ../
  pushd %{_vpath_builddir}
    %make_build
  popd
popd

%install
pushd build/%{_vpath_builddir}
  %make_install
popd

%find_lang %{name}

%check
pushd build/%{_vpath_builddir}
  make ARGS="-V" test
popd

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%license COPYING
%doc README.md AUTHORS
%{_libdir}/%{name}.so.*
%{_libdir}/libdnf/plugins/README
%dir %{_libdir}/libdnf/
%dir %{_libdir}/libdnf/plugins/

%files devel
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}/

%files -n python3-%{name}
%{python3_sitearch}/%{name}/

%files -n python3-hawkey
%{python3_sitearch}/hawkey/

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.67.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.67.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Apr 29 2022 Xun Zhong <victorzhong@tencent.com> - 0.67.0-1
- init build
